Token payroll

Get Pending Payroll Items

Returns paginated pending payroll reporting items grouped by recipient with search and ordering.

GEThttps://api.toku.com/tga/get-pending-payroll-items

Required scope: payroll:read. It also needs compensation:read.

curl --request GET \
  --url 'https://api.toku.com/tga/get-pending-payroll-items?page=%3Cpage%3E&rowsPerPage=%3CrowsPerPage%3E' \
  --header 'Authorization: Bearer <token>'
200 response
{
  "recipients": [
    {
      "recipientID": "string",
      "recipientName": "string",
      "organizationName": "string",
      "country": "string",
      "payrollEmployeeID": "string",
      "employmentType": "ADVISOR",
      "token": "string",
      "currency": "string",
      "vestingAmount": "string",
      "fmv": "string",
      "grossGain": "string",
      "taxRate": "string",
      "totalTax": "string",
      "tokensWithheld": "string",
      "netTokens": "string",
      "netFiatAmount": "string",
      "items": [
        {
          "id": "string",
          "itemType": "VESTING",
          "eventDate": "string",
          "settledDate": "string",
          "grantID": "string",
          "grantName": "string",
          "grantType": "string",
          "sequenceNumber": 0,
          "vestingAmount": "string",
          "token": "string",
          "currency": "string",
          "fmv": "string",
          "grossGain": "string",
          "taxRate": "string",
          "totalTax": "string",
          "tokensWithheld": "string",
          "netTokens": "string",
          "netFiatAmount": "string"
        }
      ]
    }
  ],
  "pagination": {
    "page": 0,
    "rowsPerPage": 0,
    "totalCount": 0
  }
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Query parameters

pageintegerrequired

Allowed: at least 0

rowsPerPageintegerrequired

Allowed: 1 to 100

searchTermstring
orderBystring

Available options: recipientID, recipientName, organizationName

orderDirectionstring

Available options: asc, desc

Response

200Successful response
recipientsobject[]required
Show child attributes
recipientIDstringrequired
recipientNamestringrequired
organizationNamestringrequired
countrystring | nullrequired
payrollEmployeeIDstring | nullrequired
employmentTypestring | nullrequired

Available options: ADVISOR, CONTRACTOR, EMPLOYEE, EX_EMPLOYEE, OTHER, SERVICE_PROVIDER, null

tokenstring | nullrequired
currencystringrequired
vestingAmountstringrequired
fmvstringrequired
grossGainstringrequired
taxRatestringrequired
totalTaxstringrequired
tokensWithheldstringrequired
netTokensstringrequired
netFiatAmountstringrequired
itemsobject[]required
Show child attributes
idstringrequired
itemTypestringrequired

Available options: VESTING, LOCKUP, WARRANT_LOCKUP

eventDatestringrequired
settledDatestring
grantIDstringrequired
grantNamestringrequired
grantTypestring
sequenceNumberintegerrequired
vestingAmountstringrequired

Allowed: matches ^(?:-?\d+(?:\.\d+)?(?:e[+-]\d+)?|NaN|-?Infinity)$

tokenstring | nullrequired
currencystring | nullrequired
fmvstring | nullrequired

Allowed: matches ^(?:-?\d+(?:\.\d+)?(?:e[+-]\d+)?|NaN|-?Infinity)$

grossGainstringrequired
taxRatestringrequired
totalTaxstringrequired
tokensWithheldstringrequired
netTokensstringrequired
netFiatAmountstringrequired
paginationobjectrequired
Show child attributes
pageintegerrequired
rowsPerPageintegerrequired
totalCountintegerrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits